Index: ChangeLog
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/ChangeLog,v
retrieving revision 1.302.2.1
retrieving revision 1.302.2.2
diff -u -p -r1.302.2.1 -r1.302.2.2
--- ChangeLog	2 Aug 2006 08:19:38 -0000	1.302.2.1
+++ ChangeLog	9 Sep 2006 18:50:47 -0000	1.302.2.2
@@ -10,8 +10,12 @@
                                -- ChangeLog --
 
 
-ngIRCd 0.10.0-pre1 (2006-08-02)
+ngIRCd 0.10.0-pre2 (2006-09-09)
 
+  - Fixed build problems with GCC option -fstack-protector.
+  - Minor documentation updates.
+
+  ngIRCd 0.10.0-pre1 (2006-08-02)
   - Validate "ServerName" (see RFC 2812, section 2.3.1).
   - Enhanced DIE to accept a single parameter ("comment text") which is sent
     to all locally connected clients before the server goes down.
@@ -654,4 +658,4 @@ ngIRCd 0.0.1, 31.12.2001
 
 
 -- 
-$Id: ChangeLog,v 1.302.2.1 2006/08/02 08:19:38 alex Exp $
+$Id: ChangeLog,v 1.302.2.2 2006/09/09 18:50:47 alex Exp $
Index: NEWS
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/NEWS,v
retrieving revision 1.75.2.1
retrieving revision 1.75.2.2
diff -u -p -r1.75.2.1 -r1.75.2.2
--- NEWS	2 Aug 2006 08:19:38 -0000	1.75.2.1
+++ NEWS	9 Sep 2006 18:50:47 -0000	1.75.2.2
@@ -10,8 +10,9 @@
                                   -- NEWS --
 
 
-ngIRCd 0.10.0-pre1 (2006-08-02)
+ngIRCd 0.10.0-pre2 (2006-09-09)
 
+  ngIRCd 0.10.0-pre1 (2006-08-02)
   - Enhanced DIE to accept a single parameter ("comment text") which is sent
     to all locally connected clients before the server goes down.
   - JOIN now supports more than one channel key at a time.
@@ -222,4 +223,4 @@ ngIRCd 0.0.1, 31.12.2001
 
 
 -- 
-$Id: NEWS,v 1.75.2.1 2006/08/02 08:19:38 alex Exp $
+$Id: NEWS,v 1.75.2.2 2006/09/09 18:50:47 alex Exp $
Index: configure.in
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/configure.in,v
retrieving revision 1.118.2.2
retrieving revision 1.118.2.5
diff -u -p -r1.118.2.2 -r1.118.2.5
--- configure.in	2 Aug 2006 10:29:11 -0000	1.118.2.2
+++ configure.in	9 Sep 2006 18:50:47 -0000	1.118.2.5
@@ -8,13 +8,13 @@
 # (at your option) any later version.
 # Please read the file COPYING, README and AUTHORS for more information.
 #
-# $Id: configure.in,v 1.118.2.2 2006/08/02 10:29:11 alex Exp $
+# $Id: configure.in,v 1.118.2.5 2006/09/09 18:50:47 alex Exp $
 #
 
 # -- Initialisation --
 
 AC_PREREQ(2.50)
-AC_INIT(ngircd, 0.10.0-pre1)
+AC_INIT(ngircd, 0.10.0-pre2)
 AC_CONFIG_SRCDIR(src/ngircd/ngircd.c)
 AC_CANONICAL_TARGET
 AM_INIT_AUTOMAKE(1.6)
@@ -56,29 +56,28 @@ AC_C_CONST
 
 # -- Hard coded system and compiler dependencies/features/options ... --
 
-if test "$GCC" = "yes"; then
-	# We are using the GNU C compiler. Good!
-	CFLAGS="$CFLAGS -pipe -W -Wall -Wpointer-arith -Wstrict-prototypes"
-fi
-
-
 AC_DEFUN([GCC_STACK_PROTECT_CC],[
   ssp_cc=yes
-  if test "X$CC" != "X"; then
-    AC_MSG_CHECKING([whether ${CC} accepts -fstack-protector])
-    ssp_old_cflags="$CFLAGS"
-    CFLAGS="$CFLAGS -fstack-protector"
-    AC_TRY_COMPILE(,,, ssp_cc=no)
-    echo $ssp_cc
-    if test "X$ssp_cc" = "Xno"; then
-      CFLAGS="$ssp_old_cflags"
-    else
+  # we use -fstack-protector-all for the test to enfoce the use of the guard variable 
+  AC_MSG_CHECKING([whether ${CC} accepts -fstack-protector])
+  ssp_old_cflags="$CFLAGS"
+  CFLAGS="$CFLAGS -fstack-protector-all"
+  AC_TRY_LINK(,,, ssp_cc=no)
+  echo $ssp_cc
+  CFLAGS="$ssp_old_cflags"
+  if test "X$ssp_cc" = "Xyes"; then
+      CFLAGS="$CFLAGS -fstack-protector"
       AC_DEFINE([ENABLE_SSP_CC], 1, [Define if SSP C support is enabled.])
-    fi
   fi
 ])
 
-GCC_STACK_PROTECT_CC
+
+if test "$GCC" = "yes"; then
+	# We are using the GNU C compiler. Good!
+	CFLAGS="$CFLAGS -pipe -W -Wall -Wpointer-arith -Wstrict-prototypes"
+
+	GCC_STACK_PROTECT_CC
+fi
 
 case "$target_os" in
 	hpux*)
Index: contrib/ngircd.spec
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/contrib/ngircd.spec,v
retrieving revision 1.4.6.1
retrieving revision 1.4.6.2
diff -u -p -r1.4.6.1 -r1.4.6.2
--- contrib/ngircd.spec	2 Aug 2006 10:29:12 -0000	1.4.6.1
+++ contrib/ngircd.spec	9 Sep 2006 19:00:06 -0000	1.4.6.2
@@ -1,5 +1,5 @@
 %define name    ngircd
-%define version 0.10.0-pre1
+%define version 0.10.0-pre2
 %define release 1
 %define prefix  %{_prefix}
 
Index: contrib/Debian/changelog
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/contrib/Debian/changelog,v
retrieving revision 1.12.2.2
retrieving revision 1.12.2.3
diff -u -p -r1.12.2.2 -r1.12.2.3
--- contrib/Debian/changelog	2 Aug 2006 10:29:12 -0000	1.12.2.2
+++ contrib/Debian/changelog	9 Sep 2006 19:00:07 -0000	1.12.2.3
@@ -1,3 +1,9 @@
+ngircd (0.10.0-0ab0-pre2) unstable; urgency=low
+
+  * Second "upstream" prerelease of upcoming 0.10.0 release.
+
+ -- Alexander Barton <alex@barton.de>  Sat,  9 Sep 2006 20:57:52 +0200
+
 ngircd (0.10.0-0ab0-pre1) unstable; urgency=low
 
   * Prerelease of upcoming new "upstream release".
Index: doc/Platforms.txt
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/doc/Platforms.txt,v
retrieving revision 1.14
retrieving revision 1.14.2.1
diff -u -p -r1.14 -r1.14.2.1
--- doc/Platforms.txt	7 May 2006 11:07:13 -0000	1.14
+++ doc/Platforms.txt	9 Sep 2006 18:10:56 -0000	1.14.2.1
@@ -1,7 +1,7 @@
 
                      ngIRCd - Next Generation IRC Server
 
-                        (c)2001-2004 Alexander Barton
+                        (c)2001-2006 Alexander Barton
                     alex@barton.de, http://www.barton.de/
 
                ngIRCd is free software and published under the
@@ -26,23 +26,30 @@ list can be updated. Thanks for your hel
                                                                     | | | |
 Platform                    Compiler     ngIRCd     Date     Tester C M T R See
 --------------------------- ------------ ---------- -------- ------ - - - - ---
-alpha/unknown/netbsd3.0     gcc 3.3.3    CVSHEAD    06-05-07 fw     Y Y Y Y (3)		
+alpha/unknown/netbsd3.0     gcc 3.3.3    CVSHEAD    06-05-07 fw     Y Y Y Y (3)
 hppa/unknown/openbsd3.5     gcc 2.95.3   CVSHEAD    04-05-25 alex   Y Y Y Y
 hppa1.1/unknown/linux-gnu   gcc 3.3.3    0.8.0      04-05-30 alex   Y Y Y Y
+hppa2.0/unknown/linux-gnu   gcc 3.3.5    0.9.x-CVS  05-06-27 alex   Y Y Y Y
 i386/pc/solaris2.9          gcc 3.2.2    CVSHEAD    04-02-24 alex   Y Y Y Y
+i386/pc/solaris2.11         gcc 3.4.3    CVSHEAD    06-08-04 alex   Y Y Y Y
 i386/unknown/freebsd5.2.1   gcc 3.3.3    0.8.0      04-05-30 alex   Y Y Y Y
-i386/unknown/freebsd6.1     gcc 3.4.4    CVSHEAD    06-05-07 fw     Y Y Y Y (4)
+i386/unknown/freebsd6.0     gcc 3.4.4    0.10.0-p1  06-08-04 alex   Y Y Y Y (3)
+i386/unknown/freebsd6.1     gcc 3.4.4    CVSHEAD    06-05-07 fw     Y Y Y Y (3)
 i386/unknown/gnu0.3         gcc 3.3.3    0.8.0      04-05-30 alex   Y Y n Y
 i386/unknown/netbsdelf1.6.1 gcc 2.95.3   CVSHEAD    04-02-24 alex   Y Y Y Y
+i386/unknown/netbsdelf3.0.1 gcc 3.3.3    0.10.0-p1  06-08-30 alex   Y Y Y Y (3)
+i386/unknown/openbsd3.9     gcc 3.3.5    0.10.0-p1  06-08-30 alex   Y Y Y Y (3)
 i686/pc/cygwin              gcc 3.3.1    0.8.0      04-05-30 alex   Y Y n Y
 i686/pc/linux-gnu           gcc 2.95.4   0.8.0      04-05-30 alex   Y Y Y Y (1)
 i686/pc/linux-gnu           gcc 3.3.3    0.8.0      04-05-30 alex   Y Y Y Y (1)
+i386/pc/linux-gnu           gcc 4.1.2    0.10.0-p1  06-08-30 alex   Y Y Y Y (1)
 m68k/apple/aux3.1.1         Orig. A/UX   0.7.x-CVS  03-04-22 alex   Y Y Y Y (2)
 m68k/hp/hp-ux9.10           Orig. HPUX   0.7.x-CVS  03-04-30 goetz  Y Y Y Y
 m88k/dg/dgux5.4R3.10        gcc 2.5.8    CVSHEAD    04-03-15 alex   Y Y ? ?
 powerpc/apple/darwin6.5     gcc 3.1      0.7.x-CVS  03-04-23 alex   Y Y Y Y
 powerpc/apple/darwin7.4.0   gcc 3.3      0.8.0      04-05-30 alex   Y Y Y Y
 powerpc/apple/darwin7.9.0   gcc 3.3      CVSHEAD    06-05-07 fw     Y Y Y Y (3)
+powerpc/apple/darwin8.1.0   gcc 4.0      0.9.x-CVS  05-06-27 alex   Y Y Y Y
 powerpc/unknown/linux-gnu   gcc 3.3.3    0.8.0      04-05-30 alex   Y Y Y Y
 sparc/sun/solaris2.6        gcc 2.95.3   0.7.x-CVS  03-04-22 alex   Y Y Y Y
 sparc/sun/solaris2.7        gcc 3.3      0.8.0      04-05-30 alex   Y Y Y Y
@@ -51,16 +58,19 @@ sparc/unkn./netbsdelf1.6.1  gcc 2.95.3  
 
 Notes
 ~~~~~
+
 (1) i686/pc/linux-gnu:
     ngIRCd has been tested with various Linux distributions, such as SuSE,
     RedHat, Debian, and Gentoo using Kernels 2.2.x, 2.4.x and 2.6.x with
-    various versions of the GNU C compiler (2.95.3, 3.0, 3.2, and 3.3). The
-    eldest glibc used was glibc-2.0.7. ngIRCd compiled and run on all these
-    systems without problems.
+    various versions of the GNU C compiler (starting with 2.95.x and up to
+    version 4.1.x). The eldest glibc used was glibc-2.0.7. ngIRCd compiled
+    and run on all these systems without problems.
+    Actual Linux kernels (2.6.x) and glic's support the epoll() IO interface.
 
 (2) This compiler is an pre-ANSI C compiler, therefore the source code is
     automatically converted using the included ansi2knr tool while building.
-(3) kqueue io backend			
-(4) 6.1-PRERELEASE
+
+(3) Using the kqueue() IO interface.
+
 -- 
-$Id: Platforms.txt,v 1.14 2006/05/07 11:07:13 fw Exp $
+$Id: Platforms.txt,v 1.14.2.1 2006/09/09 18:10:56 alex Exp $
